Bug 147300 - Init2 setting problem when saving to /etc/wvdial.conf
Init2 setting problem when saving to /etc/wvdial.conf
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
:
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2005-02-06 13:53 EST by Need Real Name
Modified: 2008-05-06 20:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:06:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2005-02-06 13:53:08 EST
system-config-network-tui-1.3.22-1

does not save Init2 string to /etc/wvdial.conf
when it was set there.
(Bot in Modem or Diler section)
after each use of neat it always write to Diler section:

Init2 = ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0

so every time after neat usage the file /etc/wvdial.conf
should be adjusted to fix Init2.

To reproduce:
1. create modem connection.
2. Manualy adjust Init2 to something in file /etc/wvdial.conf
3. start neat and change something in connection, save it.
Then look to /etc/wvdial.conf
now you have Init2 = ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
old init2 value is lost.

I also think it may be a good option for defaults 
not to put Init[123]to Diler section, 
but to use the values from Modem section.
The Diler section has 
Inherits = Modem0
but actual settings are overwritten, so there is no much
help from Inherits = Modem0
Comment 1 Need Real Name 2005-02-06 13:55:46 EST
relevant file is 
/usr/share/system-config-network/netconfpkg/NCDialup.py
Comment 2 Leon Stringer 2005-09-03 13:54:01 EDT
I see this too and it's a pain. My modem doesn't like the "Init2 = ATQ0 V1 E1
S0=0 &C1 &D2 +FCLASS=0" and spits out "ERROR Bad init string." and fails to connect.

So I manually edit wvdial.conf to remove the Init2 entry.

But if I ever select File->Save from system-config-network the entry comes back
and I have to remove it again.

There is a "Modem initialization string" field if you edit the device and this
is blank. If this is blank, sure Init2 shouldn't have been written?
Comment 3 Matthew Miller 2006-07-10 18:36:19 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Bug Zapper 2008-04-03 11:51:58 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Bug Zapper 2008-05-06 20:06:15 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.